=begin
#Datadog API V1 Collection

#Collection of all Datadog Public endpoints.

The version of the OpenAPI document: 1.0
Contact: support@datadoghq.com
Generated by: https://openapi-generator.tech

 Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 This product includes software developed at Datadog (https://www.datadoghq.com/).
 Copyright 2020-Present Datadog, Inc.

=end

require 'spec_helper'
require 'json'

# Unit tests for DatadogAPIClient::V1::AWSIntegrationAPI
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'AWSIntegrationAPI' do
  before do
    # run before each test
    @api_instance = DatadogAPIClient::V1::AWSIntegrationAPI.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of AWSIntegrationAPI' do
    it 'should create an instance of AWSIntegrationAPI' do
      expect(@api_instance).to be_instance_of(DatadogAPIClient::V1::AWSIntegrationAPI)
    end
  end

  # unit tests for create_aws_account
  # Create an AWS integration
  # Create a Datadog-Amazon Web Services integration. Using the &#x60;POST&#x60; method updates your integration configuration by adding your new configuration to the existing one in your Datadog organization. A unique AWS Account ID for role based authentication.
  # @param body AWS Request Object
  # @param [Hash] opts the optional parameters
  # @return [AWSAccountCreateResponse]
  describe 'create_aws_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_aws_tag_filter
  # Set an AWS tag filter
  # Set an AWS tag filter.
  # @param body Set an AWS tag filter using an &#x60;aws_account_identifier&#x60;, &#x60;namespace&#x60;, and filtering string. Namespace options are &#x60;application_elb&#x60;, &#x60;elb&#x60;, &#x60;lambda&#x60;, &#x60;network_elb&#x60;, &#x60;rds&#x60;, &#x60;sqs&#x60;, and &#x60;custom&#x60;.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'create_aws_tag_filter test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_new_aws_external_id
  # Generate a new external ID
  # Generate a new AWS external ID for a given AWS account ID and role name pair.
  # @param body Your Datadog role delegation name. For more information about your AWS account Role name, see the [Datadog AWS integration configuration info](https://github.com/DataDog/documentation/blob/master/integrations/amazon_web_services/#installation).
  # @param [Hash] opts the optional parameters
  # @return [AWSAccountCreateResponse]
  describe 'create_new_aws_external_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_aws_account
  # Delete an AWS integration
  # Delete a Datadog-AWS integration matching the specified &#x60;account_id&#x60; and &#x60;role_name parameters&#x60;.
  # @param body AWS request object
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_aws_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_aws_tag_filter
  # Delete a tag filtering entry
  # Delete a tag filtering entry.
  # @param body Delete a tag filtering entry for a given AWS account and &#x60;dd-aws&#x60; namespace.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_aws_tag_filter test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_available_aws_namespaces
  # List namespace rules
  # List all namespace rules for a given Datadog-AWS integration. This endpoint takes no arguments.
  # @param [Hash] opts the optional parameters
  # @return [Array<String>]
  describe 'list_available_aws_namespaces test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_aws_accounts
  # List all AWS integrations
  # List all Datadog-AWS integrations available in your Datadog organization.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :account_id Only return AWS accounts that matches this &#x60;account_id&#x60;.
  # @option opts [String] :role_name Only return AWS accounts that matches this role_name.
  # @option opts [String] :access_key_id Only return AWS accounts that matches this &#x60;access_key_id&#x60;.
  # @return [AWSAccountListResponse]
  describe 'list_aws_accounts test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_aws_tag_filters
  # Get all AWS tag filters
  # Get all AWS tag filters.
  # @param account_id Only return AWS filters that matches this &#x60;account_id&#x60;.
  # @param [Hash] opts the optional parameters
  # @return [AWSTagFilterListResponse]
  describe 'list_aws_tag_filters test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_aws_account
  # Update an AWS integration
  # Update a Datadog-Amazon Web Services integration.
  # @param body AWS request object
  # @param [Hash] opts the optional parameters
  # @option opts [String] :account_id Only return AWS accounts that matches this &#x60;account_id&#x60;.
  # @option opts [String] :role_name Only return AWS accounts that match this &#x60;role_name&#x60;. Required if &#x60;account_id&#x60; is specified.
  # @option opts [String] :access_key_id Only return AWS accounts that matches this &#x60;access_key_id&#x60;. Required if none of the other two options are specified.
  # @return [Object]
  describe 'update_aws_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
