=begin
#Datadog API V1 Collection

#Collection of all Datadog Public endpoints.

The version of the OpenAPI document: 1.0
Contact: support@datadoghq.com
Generated by: https://openapi-generator.tech

 Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 This product includes software developed at Datadog (https://www.datadoghq.com/).
 Copyright 2020-Present Datadog, Inc.

=end

require 'spec_helper'
require 'json'

# Unit tests for DatadogAPIClient::V1::HostsAPI
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'HostsAPI' do
  before do
    # run before each test
    @api_instance = DatadogAPIClient::V1::HostsAPI.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of HostsAPI' do
    it 'should create an instance of HostsAPI' do
      expect(@api_instance).to be_instance_of(DatadogAPIClient::V1::HostsAPI)
    end
  end

  # unit tests for get_host_totals
  # Get the total number of active hosts
  # This endpoint returns the total number of active and up hosts in your Datadog account. Active means the host has reported in the past hour, and up means it has reported in the past two hours.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :from Number of seconds from which you want to get total number of active hosts.
  # @return [HostTotals]
  describe 'get_host_totals test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_hosts
  # Get all hosts for your organization
  # This endpoint allows searching for hosts by name, alias, or tag. Hosts live within the past 3 hours are included by default. Retention is 7 days. Results are paginated with a max of 1000 results at a time.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :filter String to filter search results.
  # @option opts [String] :sort_field Sort hosts by this field.
  # @option opts [String] :sort_dir Direction of sort. Options include &#x60;asc&#x60; and &#x60;desc&#x60;.
  # @option opts [Integer] :start Host result to start search from.
  # @option opts [Integer] :count Number of hosts to return. Max 1000.
  # @option opts [Integer] :from Number of seconds since UNIX epoch from which you want to search your hosts.
  # @option opts [Boolean] :include_muted_hosts_data Include information on the muted status of hosts and when the mute expires.
  # @option opts [Boolean] :include_hosts_metadata Include additional metadata about the hosts (agent_version, machine, platform, processor, etc.).
  # @return [HostListResponse]
  describe 'list_hosts test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for mute_host
  # Mute a host
  # Mute a host.
  # @param host_name Name of the host to mute.
  # @param body Mute a host request body.
  # @param [Hash] opts the optional parameters
  # @return [HostMuteResponse]
  describe 'mute_host test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unmute_host
  # Unmute a host
  # Unmutes a host. This endpoint takes no JSON arguments.
  # @param host_name Name of the host to unmute.
  # @param [Hash] opts the optional parameters
  # @return [HostMuteResponse]
  describe 'unmute_host test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
