=begin
#Datadog API V1 Collection

#Collection of all Datadog Public endpoints.

The version of the OpenAPI document: 1.0
Contact: support@datadoghq.com
Generated by: https://openapi-generator.tech

 Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 This product includes software developed at Datadog (https://www.datadoghq.com/).
 Copyright 2020-Present Datadog, Inc.

=end

require 'spec_helper'
require 'json'

# Unit tests for DatadogAPIClient::V1::MetricsAPI
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'MetricsAPI' do
  before do
    # run before each test
    @api_instance = DatadogAPIClient::V1::MetricsAPI.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of MetricsAPI' do
    it 'should create an instance of MetricsAPI' do
      expect(@api_instance).to be_instance_of(DatadogAPIClient::V1::MetricsAPI)
    end
  end

  # unit tests for get_metric_metadata
  # Get metric metadata
  # Get metadata about a specific metric.
  # @param metric_name Name of the metric for which to get metadata.
  # @param [Hash] opts the optional parameters
  # @return [MetricMetadata]
  describe 'get_metric_metadata test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_active_metrics
  # Get active metrics list
  # Get the list of actively reporting metrics from a given time until now.
  # @param from Seconds since the Unix epoch.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :host Hostname for filtering the list of metrics returned. If set, metrics retrieved are those with the corresponding hostname tag.
  # @option opts [String] :tag_filter Filter metrics that have been submitted with the given tags. Supports boolean and wildcard expressions. Cannot be combined with other filters.
  # @return [MetricsListResponse]
  describe 'list_active_metrics test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_metrics
  # Search metrics
  # Search for metrics from the last 24 hours in Datadog.
  # @param q Query string to search metrics upon. Must be prefixed with &#x60;metrics:&#x60;.
  # @param [Hash] opts the optional parameters
  # @return [MetricSearchResponse]
  describe 'list_metrics test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for query_metrics
  # Query timeseries points
  # Query timeseries points.
  # @param from Start of the queried time period, seconds since the Unix epoch.
  # @param to End of the queried time period, seconds since the Unix epoch.
  # @param query Query string.
  # @param [Hash] opts the optional parameters
  # @return [MetricsQueryResponse]
  describe 'query_metrics test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_metric_metadata
  # Edit metric metadata
  # Edit metadata of a specific metric. Find out more about [supported types](https://docs.datadoghq.com/developers/metrics).
  # @param metric_name Name of the metric for which to edit metadata.
  # @param body New metadata.
  # @param [Hash] opts the optional parameters
  # @return [MetricMetadata]
  describe 'update_metric_metadata test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
