=begin
#Datadog API V1 Collection

#Collection of all Datadog Public endpoints.

The version of the OpenAPI document: 1.0
Contact: support@datadoghq.com
Generated by: https://openapi-generator.tech

 Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 This product includes software developed at Datadog (https://www.datadoghq.com/).
 Copyright 2020-Present Datadog, Inc.

=end

require 'spec_helper'
require 'json'

# Unit tests for DatadogAPIClient::V1::UsageMeteringAPI
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'UsageMeteringAPI' do
  before do
    # run before each test
    @api_instance = DatadogAPIClient::V1::UsageMeteringAPI.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of UsageMeteringAPI' do
    it 'should create an instance of UsageMeteringAPI' do
      expect(@api_instance).to be_instance_of(DatadogAPIClient::V1::UsageMeteringAPI)
    end
  end

  # unit tests for get_daily_custom_reports
  # Get the list of available daily custom reports
  # Get daily custom reports.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of files to return in the response. &#x60;[default&#x3D;60]&#x60;.
  # @option opts [Integer] :page_number The identifier of the first page to return. This parameter is used for the pagination feature &#x60;[default&#x3D;0]&#x60;.
  # @option opts [UsageSortDirection] :sort_dir The direction to sort by: &#x60;[desc, asc]&#x60;.
  # @option opts [UsageSort] :sort The field to sort by: &#x60;[computed_on, size, start_date, end_date]&#x60;.
  # @return [UsageCustomReportsResponse]
  describe 'get_daily_custom_reports test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_incident_management
  # Get hourly usage for incident management
  # Get hourly usage for incident management.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageIncidentManagementResponse]
  describe 'get_incident_management test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_ingested_spans
  # Get hourly usage for ingested spans
  # Get hourly usage for ingested spans.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageIngestedSpansResponse]
  describe 'get_ingested_spans test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_monthly_custom_reports
  # Get the list of available monthly custom reports
  # Get monthly custom reports.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of files to return in the response &#x60;[default&#x3D;60].&#x60;
  # @option opts [Integer] :page_number The identifier of the first page to return. This parameter is used for the pagination feature &#x60;[default&#x3D;0]&#x60;.
  # @option opts [UsageSortDirection] :sort_dir The direction to sort by: &#x60;[desc, asc]&#x60;.
  # @option opts [UsageSort] :sort The field to sort by: &#x60;[computed_on, size, start_date, end_date]&#x60;.
  # @return [UsageCustomReportsResponse]
  describe 'get_monthly_custom_reports test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_specified_daily_custom_reports
  # Get specified daily custom reports
  # Get specified daily custom reports.
  # @param report_id The specified ID to search results for.
  # @param [Hash] opts the optional parameters
  # @return [UsageSpecifiedCustomReportsResponse]
  describe 'get_specified_daily_custom_reports test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_specified_monthly_custom_reports
  # Get specified monthly custom reports
  # Get specified monthly custom reports.
  # @param report_id The specified ID to search results for.
  # @param [Hash] opts the optional parameters
  # @return [UsageSpecifiedCustomReportsResponse]
  describe 'get_specified_monthly_custom_reports test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_tracing_without_limits
  # Get hourly usage for tracing without limits
  # Get hourly usage for tracing without limits.  **Note** This endpoint has been renamed to &#x60;/api/v1/usage/ingested-spans&#x60;.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageTracingWithoutLimitsResponse]
  describe 'get_tracing_without_limits test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_analyzed_logs
  # Get hourly usage for analyzed logs
  # Get hourly usage for analyzed logs (Security Monitoring).
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageAnalyzedLogsResponse]
  describe 'get_usage_analyzed_logs test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_attribution
  # Get Usage Attribution
  # Get Usage Attribution.
  # @param start_month Datetime in ISO-8601 format, UTC, precise to month: &#x60;[YYYY-MM]&#x60; for usage beginning in this month. Maximum of 15 months ago.
  # @param fields The specified field to search results for.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_month Datetime in ISO-8601 format, UTC, precise to month: &#x60;[YYYY-MM]&#x60; for usage ending this month.
  # @option opts [UsageSortDirection] :sort_direction The direction to sort by: &#x60;[desc, asc]&#x60;.
  # @option opts [UsageAttributionSort] :sort_name The field to sort by.
  # @return [UsageAttributionResponse]
  describe 'get_usage_attribution test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_billable_summary
  # Get billable usage across your account
  # Get billable usage across your account.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :month Datetime in ISO-8601 format, UTC, precise to month: &#x60;[YYYY-MM]&#x60; for usage starting this month.
  # @return [UsageBillableSummaryResponse]
  describe 'get_usage_billable_summary test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_compliance_monitoring
  # Get hourly usage for Compliance Monitoring
  # Get hourly usage for Compliance Monitoring.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageComplianceResponse]
  describe 'get_usage_compliance_monitoring test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_fargate
  # Get hourly usage for Fargate
  # Get hourly usage for [Fargate](https://docs.datadoghq.com/integrations/ecs_fargate/).
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageFargateResponse]
  describe 'get_usage_fargate test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_hosts
  # Get hourly usage for hosts and containers
  # Get hourly usage for hosts and containers.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageHostsResponse]
  describe 'get_usage_hosts test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_indexed_spans
  # Get hourly usage for indexed spans
  # Get hourly usage for indexed spans.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageIndexedSpansResponse]
  describe 'get_usage_indexed_spans test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_internet_of_things
  # Get hourly usage for IoT
  # Get hourly usage for IoT.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageIoTResponse]
  describe 'get_usage_internet_of_things test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_lambda
  # Get hourly usage for Lambda
  # Get hourly usage for lambda.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageLambdaResponse]
  describe 'get_usage_lambda test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_logs
  # Get hourly usage for Logs
  # Get hourly usage for logs.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageLogsResponse]
  describe 'get_usage_logs test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_logs_by_index
  # Get hourly usage for Logs by Index
  # Get hourly usage for logs by index.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @option opts [Array<String>] :index_name Comma-separated list of log index names.
  # @return [UsageLogsByIndexResponse]
  describe 'get_usage_logs_by_index test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_network_flows
  # Get hourly usage for Network Flows
  # Get hourly usage for network flows.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageNetworkFlowsResponse]
  describe 'get_usage_network_flows test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_network_hosts
  # Get hourly usage for Network Hosts
  # Get hourly usage for network hosts.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageNetworkHostsResponse]
  describe 'get_usage_network_hosts test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_profiling
  # Get hourly usage for profiled hosts
  # Get hourly usage for profiled hosts.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageProfilingResponse]
  describe 'get_usage_profiling test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_rum_sessions
  # Get hourly usage for RUM Sessions
  # Get hourly usage for [RUM](https://docs.datadoghq.com/real_user_monitoring/) Sessions.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @option opts [String] :type RUM type: &#x60;[browser, mobile]&#x60;. Defaults to &#x60;browser&#x60;.
  # @return [UsageRumSessionsResponse]
  describe 'get_usage_rum_sessions test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_snmp
  # Get hourly usage for SNMP devices
  # Get hourly usage for SNMP devices.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: &#x60;[YYYY-MM-DDThh]&#x60; for usage ending **before** this hour.
  # @return [UsageSNMPResponse]
  describe 'get_usage_snmp test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_summary
  # Get usage across your multi-org account
  # Get usage across your multi-org account. You must have the multi-org feature enabled.
  # @param start_month Datetime in ISO-8601 format, UTC, precise to month: &#x60;[YYYY-MM]&#x60; for usage beginning in this month. Maximum of 15 months ago.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_month Datetime in ISO-8601 format, UTC, precise to month: &#x60;[YYYY-MM]&#x60; for usage ending this month.
  # @option opts [Boolean] :include_org_details Include usage summaries for each sub-org.
  # @return [UsageSummaryResponse]
  describe 'get_usage_summary test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_synthetics
  # Get hourly usage for Synthetics Checks
  # Get hourly usage for [Synthetics checks](https://docs.datadoghq.com/synthetics/).
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageSyntheticsResponse]
  describe 'get_usage_synthetics test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_synthetics_api
  # Get hourly usage for Synthetics API Checks
  # Get hourly usage for [synthetics API checks](https://docs.datadoghq.com/synthetics/).
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageSyntheticsAPIResponse]
  describe 'get_usage_synthetics_api test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_synthetics_browser
  # Get hourly usage for Synthetics Browser Checks
  # Get hourly usage for synthetics browser checks.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageSyntheticsBrowserResponse]
  describe 'get_usage_synthetics_browser test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_timeseries
  # Get hourly usage for custom metrics
  # Get hourly usage for [custom metrics](https://docs.datadoghq.com/developers/metrics/custom_metrics/).
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageTimeseriesResponse]
  describe 'get_usage_timeseries test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_top_avg_metrics
  # Get top custom metrics by hourly average
  # Get top [custom metrics](https://docs.datadoghq.com/developers/metrics/custom_metrics/) by hourly average. Use the month parameter to get a month-to-date data resolution or use the day parameter to get a daily resolution. One of the two is required, and only one of the two is allowed.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :month Datetime in ISO-8601 format, UTC, precise to month: [YYYY-MM] for usage beginning at this hour. (Either month or day should be specified, but not both)
  # @option opts [Time] :day Datetime in ISO-8601 format, UTC, precise to day: [YYYY-MM-DD] for usage beginning at this hour. (Either month or day should be specified, but not both)
  # @option opts [Array<String>] :names Comma-separated list of metric names.
  # @option opts [Integer] :limit Maximum number of results to return (between 1 and 5000) - defaults to 500 results if limit not specified.
  # @return [UsageTopAvgMetricsResponse]
  describe 'get_usage_top_avg_metrics test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_usage_trace
  # Get hourly usage for Trace Search
  # Get hourly usage for trace search.  **Note** This endpoint has been renamed to &#x60;/api/v1/usage/indexed-spans&#x60;.
  # @param start_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage beginning at this hour.
  # @param [Hash] opts the optional parameters
  # @option opts [Time] :end_hr Datetime in ISO-8601 format, UTC, precise to hour: [YYYY-MM-DDThh] for usage ending **before** this hour.
  # @return [UsageTraceResponse]
  describe 'get_usage_trace test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
