=begin
#Datadog API V2 Collection

#Collection of all Datadog Public endpoints.

The version of the OpenAPI document: 1.0
Contact: support@datadoghq.com
Generated by: https://openapi-generator.tech

 Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 This product includes software developed at Datadog (https://www.datadoghq.com/).
 Copyright 2020-Present Datadog, Inc.

=end

require 'spec_helper'
require 'json'

# Unit tests for DatadogAPIClient::V2::KeyManagementAPI
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'KeyManagementAPI' do
  before do
    # run before each test
    @api_instance = DatadogAPIClient::V2::KeyManagementAPI.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of KeyManagementAPI' do
    it 'should create an instance of KeyManagementAPI' do
      expect(@api_instance).to be_instance_of(DatadogAPIClient::V2::KeyManagementAPI)
    end
  end

  # unit tests for create_api_key
  # Create an API key
  # Create an API key.
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [APIKeyResponse]
  describe 'create_api_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_current_user_application_key
  # Create an application key for current user
  # Create an application key for current user
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [ApplicationKeyResponse]
  describe 'create_current_user_application_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_api_key
  # Delete an API key
  # Delete an API key.
  # @param api_key_id The ID of the API key.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_api_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_application_key
  # Delete an application key
  # Delete an application key
  # @param app_key_id The ID of the application key.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_application_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_current_user_application_key
  # Delete an application key owned by current user
  # Delete an application key owned by current user
  # @param app_key_id The ID of the application key.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_current_user_application_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_api_key
  # Get API key
  # Get an API key.
  # @param api_key_id The ID of the API key.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :include Comma separated list of resource paths for related resources to include in the response. Supported resource paths are &#x60;created_by&#x60; and &#x60;modified_by&#x60;.
  # @return [APIKeyResponse]
  describe 'get_api_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_current_user_application_key
  # Get one application key owned by current user
  # Get an application key owned by current user
  # @param app_key_id The ID of the application key.
  # @param [Hash] opts the optional parameters
  # @return [ApplicationKeyResponse]
  describe 'get_current_user_application_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_api_keys
  # Get all API keys
  # List all API keys available for your account.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size Size for a given page.
  # @option opts [Integer] :page_number Specific page number to return.
  # @option opts [APIKeysSort] :sort API key attribute used to sort results. Sort order is ascending by default. In order to specify a descending sort, prefix the attribute with a minus sign.
  # @option opts [String] :filter Filter API keys by the specified string.
  # @option opts [String] :filter_created_at_start Only include API keys created on or after the specified date.
  # @option opts [String] :filter_created_at_end Only include API keys created on or before the specified date.
  # @option opts [String] :filter_modified_at_start Only include API keys modified on or after the specified date.
  # @option opts [String] :filter_modified_at_end Only include API keys modified on or before the specified date.
  # @option opts [String] :include Comma separated list of resource paths for related resources to include in the response. Supported resource paths are &#x60;created_by&#x60; and &#x60;modified_by&#x60;.
  # @return [APIKeysResponse]
  describe 'list_api_keys test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_application_keys
  # Get all application keys
  # List all application keys available for your org
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size Size for a given page.
  # @option opts [Integer] :page_number Specific page number to return.
  # @option opts [ApplicationKeysSort] :sort Application key attribute used to sort results. Sort order is ascending by default. In order to specify a descending sort, prefix the attribute with a minus sign.
  # @option opts [String] :filter Filter application keys by the specified string.
  # @option opts [String] :filter_created_at_start Only include application keys created on or after the specified date.
  # @option opts [String] :filter_created_at_end Only include application keys created on or before the specified date.
  # @return [ListApplicationKeysResponse]
  describe 'list_application_keys test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_current_user_application_keys
  # Get all application keys owned by current user
  # List all application keys available for current user
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size Size for a given page.
  # @option opts [Integer] :page_number Specific page number to return.
  # @option opts [ApplicationKeysSort] :sort Application key attribute used to sort results. Sort order is ascending by default. In order to specify a descending sort, prefix the attribute with a minus sign.
  # @option opts [String] :filter Filter application keys by the specified string.
  # @option opts [String] :filter_created_at_start Only include application keys created on or after the specified date.
  # @option opts [String] :filter_created_at_end Only include application keys created on or before the specified date.
  # @return [ListApplicationKeysResponse]
  describe 'list_current_user_application_keys test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_api_key
  # Edit an API key
  # Update an API key.
  # @param api_key_id The ID of the API key.
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [APIKeyResponse]
  describe 'update_api_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_application_key
  # Edit an application key
  # Edit an application key
  # @param app_key_id The ID of the application key.
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [ApplicationKeyResponse]
  describe 'update_application_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_current_user_application_key
  # Edit an application key owned by current user
  # Edit an application key owned by current user
  # @param app_key_id The ID of the application key.
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [ApplicationKeyResponse]
  describe 'update_current_user_application_key test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
