=begin
#Datadog API V2 Collection

#Collection of all Datadog Public endpoints.

The version of the OpenAPI document: 1.0
Contact: support@datadoghq.com
Generated by: https://openapi-generator.tech

 Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
 This product includes software developed at Datadog (https://www.datadoghq.com/).
 Copyright 2020-Present Datadog, Inc.

=end

require 'spec_helper'
require 'json'

# Unit tests for DatadogAPIClient::V2::LogsArchivesAPI
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'LogsArchivesAPI' do
  before do
    # run before each test
    @api_instance = DatadogAPIClient::V2::LogsArchivesAPI.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of LogsArchivesAPI' do
    it 'should create an instance of LogsArchivesAPI' do
      expect(@api_instance).to be_instance_of(DatadogAPIClient::V2::LogsArchivesAPI)
    end
  end

  # unit tests for add_read_role_to_archive
  # Grant role to an archive
  # Adds a read role to an archive. ([Roles API](https://docs.datadoghq.com/api/v2/roles/))
  # @param archive_id The ID of the archive.
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'add_read_role_to_archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_logs_archive
  # Create an archive
  # Create an archive in your organization.
  # @param body The definition of the new archive.
  # @param [Hash] opts the optional parameters
  # @return [LogsArchive]
  describe 'create_logs_archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_logs_archive
  # Delete an archive
  # Delete a given archive from your organization.
  # @param archive_id The ID of the archive.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_logs_archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_logs_archive
  # Get an archive
  # Get a specific archive from your organization.
  # @param archive_id The ID of the archive.
  # @param [Hash] opts the optional parameters
  # @return [LogsArchive]
  describe 'get_logs_archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_logs_archive_order
  # Get archive order
  # Get the current order of your archives. This endpoint takes no JSON arguments.
  # @param [Hash] opts the optional parameters
  # @return [LogsArchiveOrder]
  describe 'get_logs_archive_order test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_archive_read_roles
  # List read roles for an archive
  # Returns all read roles a given archive is restricted to.
  # @param archive_id The ID of the archive.
  # @param [Hash] opts the optional parameters
  # @return [RolesResponse]
  describe 'list_archive_read_roles test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_logs_archives
  # Get all archives
  # Get the list of configured logs archives with their definitions.
  # @param [Hash] opts the optional parameters
  # @return [LogsArchives]
  describe 'list_logs_archives test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for remove_role_from_archive
  # Revoke role from an archive
  # Removes a role from an archive. ([Roles API](https://docs.datadoghq.com/api/v2/roles/))
  # @param archive_id The ID of the archive.
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'remove_role_from_archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_logs_archive
  # Update an archive
  # Update a given archive configuration.  **Note**: Using this method updates your archive configuration by **replacing** your current configuration with the new one sent to your Datadog organization.
  # @param archive_id The ID of the archive.
  # @param body New definition of the archive.
  # @param [Hash] opts the optional parameters
  # @return [LogsArchive]
  describe 'update_logs_archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_logs_archive_order
  # Update archive order
  # Update the order of your archives. Since logs are processed sequentially, reordering an archive may change the structure and content of the data processed by other archives.  **Note**: Using the &#x60;PUT&#x60; method updates your archive&#39;s order by replacing the current order with the new one.
  # @param body An object containing the new ordered list of archive IDs.
  # @param [Hash] opts the optional parameters
  # @return [LogsArchiveOrder]
  describe 'update_logs_archive_order test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
